Bug 18825 - sudo doesn't clear LANG and LC_ALL
sudo doesn't clear LANG and LC_ALL
Status: CLOSED DUPLICATE of bug 18878
Product: Red Hat Linux
Classification: Retired
Component: sudo (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-10 11:39 EDT by Manfred Spraul
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 17:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manfred Spraul 2000-10-10 11:39:50 EDT
The subject explains the problem:
* sudo can be used to execute programs as root in a controlled fashion.
* sudo tries to remove dangerous environment variables such as IFS or LD_?
* neither LANG nor LC_ALL are cleared, but they are dangerous.

Could someone check if this is a bug?

Thanks
Comment 1 Bernhard Rosenkraenzer 2000-10-10 16:46:20 EDT
Why do you think LANG or LC_ALL are dangerous? The glibc bug that let users
specify their own locale files translating format strings and stuff has been
fixed.
Comment 2 Manfred Spraul 2000-10-10 17:39:31 EDT
sudo itself is safe, but sudo will launch additional programs that aren't setuid
root.

And in your recent security advisory for usermode-1.36 I read:

> The usermode package contains a binary (/usr/bin/userhelper),
> which is used to control access to programs which are to be
> executed as root.  Because programs invoked by userhelper
> are not actually running setuid-root, security measures built
> into recent versions of glibc are not active.

s/userhelper/sudo/g

sudo is doing exactly what userhelper is doing.
Comment 3 Bernhard Rosenkraenzer 2000-10-11 06:14:47 EDT

*** This bug has been marked as a duplicate of 18878 ***

Note You need to log in before you can comment on or make changes to this bug.